System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter System.ComponentModel.DefaultProperty("ControlID")

You can use the class to bind the value of a property, such as or , to a parameter that is used in a parameterized SQL query, business object method, or filtering expression.

The class provides two properties in addition to those inherited from the class: and . The property identifies which instance to bind to and the property identifies the public property of the from which the class retrieves a value.

Binds the value of a property of a to a parameter object.

- Constructor

  A object that is created with the constructor is initialized with default values for all its properties. The and properties are initialized to . In addition, the property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null.

  Initializes a new unnamed instance of the class.

  2.0.0.0
- Constructor

  The constructor is a protected copy constructor that is used to clone a instance. The values of the object, including the , , , and properties, are all transferred to the new instance.

  Initializes a new instance of the class with values from the specified instance.

  A instance from which the current instance is initialized.
  2.0.0.0
- Constructor

  A object that is created with the constructor is initialized with the specified parameter name and name, which identifies the that the parameter binds to. Other properties, including , , and , are initialized with default values.

  Initializes a new named instance of the class, using the specified control name to identify which control to bind to.

  The name of the parameter.
  The name of the control that the parameter is bound to. The default is .
  2.0.0.0
- Constructor

  A object that is created with the constructor is initialized with the specified parameter name, name, and property, which identifies the that the parameter binds to. Other properties, including , , and , are initialized with default values.

  Initializes a new named instance of the class, using the specified property name and control name to identify which control to bind to.

  The name of the parameter.
  The name of the control that the parameter is bound to. The default is .
  The name of the property on the control that the parameter is bound to. The default is .
  2.0.0.0
- Constructor

  A object that is created with the constructor is initialized with the specified parameter name, , name, and property. Only the and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified property name and control name to identify which control to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the control that the parameter is bound to. The default is .
  The name of the property of the control that the parameter is bound to. The default is .
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  Returns a duplicate of the current instance.

  A that is an exact duplicate of the current one.

  2.0.0.0
- Property
  System.Web.UI.IDReferenceProperty(typeof(System.Web.UI.Control))
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.ControlIDConverter))
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.String To be added.

  The property is a required property that identifies the instance that the object binds to at run time.

  Typically, the and properties are set for the method to correctly bind to a control. If you do not set the property, the method throws an exception when called.

  Specifies the name of the control that the object binds to.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  The object attempts to bind to the object and property every time the method is called. The method returns the value of the control's property that is identified by the combination of the and properties.

  The class never uses the property, which is inherited from , when binding to a control's property value.

  In this implementation of the method, the parameter is ignored. If the parameter is null, null is returned.

  Updates and returns the value of the object.

  An that represents the updated and current value of the parameter.

  The that the parameter is bound to. 2.0.0.0
- Property
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.ControlPropertyNameConverter))
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The property identifies the public property of the object identified by the property that the object binds to at run time. can be set to a simple string, such as "SelectedValue", or an expression using syntax to identify complex control properties.

  While the property is optional, typically both and properties are set for the method to correctly bind to a control. If you set the property but not the property, the method attempts to use the attribute to identify a default property. (It is the responsibility of control authors to specify this attribute.) If this fails, throws an exception.

  The following table identifies which ASP.NET controls decorate properties with the attribute.

  Control

  Property

  Gets or sets the property name of the control identified by the property that the object binds to.

  2.0.0.0